Pular para o conteúdo principal
PATCH
/
media-bridge
/
v1
/
{appId}
/
settings
/
event-visibility
Criar ou atualizar configurações de visibilidade de eventos
curl --request PATCH \
  --url https://api.hubapi.com/media-bridge/v1/{appId}/settings/event-visibility \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "eventType": "ALL",
  "updatedAt": 123,
  "showInReporting": true,
  "showInTimeline": true,
  "showInWorkflows": true
}
'
{
  "eventType": "ALL",
  "updatedAt": 123,
  "showInReporting": true,
  "showInTimeline": true,
  "showInWorkflows": true
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

appId
integer<int32>
obrigatório

O appId do aplicativo Media Bridge. É possível ter vários aplicativos na sua conta de desenvolvedor que usam a Media Bridge.

Corpo

application/json
eventType
enum<string>
obrigatório
Opções disponíveis:
ALL,
ATTENTION_SPAN,
MEDIA_PLAYS,
MEDIA_PLAYS_PERCENT
updatedAt
integer<int64>
obrigatório
showInReporting
boolean
showInTimeline
boolean
showInWorkflows
boolean

Resposta

successful operation

eventType
enum<string>
obrigatório
Opções disponíveis:
ALL,
ATTENTION_SPAN,
MEDIA_PLAYS,
MEDIA_PLAYS_PERCENT
updatedAt
integer<int64>
obrigatório
showInReporting
boolean
showInTimeline
boolean
showInWorkflows
boolean
Last modified on April 13, 2026